dev-python / boto3

The AWS SDK for Python

Official package sites : https://github.com/boto/boto3 ·

v9999 :: 0 :: gentoo

Modified
License
Apache-2.0
USE flags
doc test

v1.9.122 :: 0 :: gentoo

Modified
License
Apache-2.0
Keywords
amd64 x86 ~amd64-linux ~arm64 ~x86-linux
USE flags
doc test

v1.9.4-r1 :: 0 :: gentoo

Modified
License
Apache-2.0
Keywords
amd64 x86 ~amd64-linux ~arm64 ~x86-linux
USE flags
doc test

General

doc
Add extra documentation (API, Javadoc, etc). It is recommended to enable per package instead of globally
test
Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled independently)

python_targets

python2_7
Build with Python 2.7
python3_5
Build with Python 3.5
python3_6
Build with Python 3.6
python3_7
Build with Python 3.7

dev-lang / python : An interpreted, interactive, object-oriented programming language

dev-lang / python-exec : Python script wrapper

dev-python / botocore : Low-level, data-driven core of boto 3.

dev-python / guzzle_sphinx_theme : Sphinx theme used by Guzzle

dev-python / jmespath : JSON Matching Expressions

dev-python / mock : Rolling backport of unittest.mock for all Pythons

dev-python / nose : Unittest extension with automatic test suite discovery and easy test authoring

dev-python / s3transfer : An Amazon S3 Transfer Manager

dev-python / setuptools : Collection of extensions to Distutils

dev-python / sphinx : Python documentation generator

dev-vcs / git : stupid content tracker: distributed VCS designed for speed and efficiency

dev-lang / python : An interpreted, interactive, object-oriented programming language

dev-lang / python-exec : Python script wrapper

dev-python / botocore : Low-level, data-driven core of boto 3.

dev-python / jmespath : JSON Matching Expressions

dev-python / s3transfer : An Amazon S3 Transfer Manager

app-admin / salt : Salt is a remote execution and configuration manager

dev-python / kombu : AMQP Messaging Framework for Python

dev-python / moto : Mock library for boto

dev-python / s3fs : Pythonic file interface to S3

dev-util / buildbot : BuildBot build automation system

Repository mirror & CI · gentoo
Merge updates from master
Agostino Sarubbo · gentoo
dev-python/boto3: x86 stable wrt bug #685212
Signed-off-by: Agostino Sarubbo <ago@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11 RepoMan-Options: --include-arches="x86"
Repository mirror & CI · gentoo
Merge updates from master
Agostino Sarubbo · gentoo
dev-python/boto3: amd64 stable wrt bug #685212
Signed-off-by: Agostino Sarubbo <ago@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11 RepoMan-Options: --include-arches="amd64"
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
*/*: Remove python3_4 PYTHON_COMPAT correctly
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Andrey Utkin · gentoo
dev-python/boto3: drop old versions
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Andrey Utkin <andrey_utkin@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Andrey Utkin · gentoo
dev-python/boto3: add new version 1.9.122
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Andrey Utkin <andrey_utkin@gentoo.org>
Andrey Utkin · gentoo
dev-python/boto3: 9999: update copyright line
To avoid extra diff hunk after cloning into release ebuilds. Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Andrey Utkin <andrey_utkin@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Mikle Kolyada · gentoo
dev-python/boto3: amd64 stable wrt bug #667974
Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-python/boto3: x86 stable (bug #667974)
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Andrey Utkin · gentoo
dev-python/boto3: add python3_7
Package-Manager: Portage-2.3.48, Repoman-2.3.10
Repository mirror & CI · gentoo
Merge updates from master
Andrey Utkin · gentoo
dev-python/boto3: drop old versions
Package-Manager: Portage-2.3.48, Repoman-2.3.10
Andrey Utkin · gentoo
dev-python/boto3: add new version 1.9.4
Package-Manager: Portage-2.3.48, Repoman-2.3.10
Andrey Utkin · gentoo
dev-python/boto3: update required botocore version
Package-Manager: Portage-2.3.48, Repoman-2.3.10
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-python/boto3: x86 stable (bug #657664)
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Jason Zaman · gentoo
dev-python/boto3: amd64 stable
Gentoo-bug: 657664 Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Andrey Utkin · gentoo
dev-python/boto3: add new version 1.7.35
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Andrey Utkin · gentoo
dev-python/boto3: 9999: update botocore version requirement
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Andrey Utkin · gentoo
dev-python/boto3: drop old non-stabilized ebuilds
Package-Manager: Portage-2.3.36, Repoman-2.3.9
Andrey Utkin · gentoo
dev-python/boto3: add new version 1.7.19
Package-Manager: Portage-2.3.36, Repoman-2.3.9
Andrey Utkin · gentoo
dev-python/boto3: 9999: update botocore version requirement
Package-Manager: Portage-2.3.36, Repoman-2.3.9
Andrey Utkin · gentoo
dev-python/boto3: drop ranges from deps notation
Drop version range requirements (all except for botocore), as all these requirements are satisfied by all ebuilds currently present in Gentoo tree. The ranges originally come from upstream's requirements.txt and setup.{cfg,py}, but upstream developers don't tend to update these ranges, which makes them irrelevant and even harmful to Gentoo (e.g. by blocking removal of outdated version of dependencies). dev-python/botocore version range requirement is not dropped because it is regularly updated upstream and is declared quite important for reliable functioning of boto3. Package-Manager: Portage-2.3.36, Repoman-2.3.9
Mikle Kolyada · gentoo
dev-python/boto3: amd64 stable wrt bug #650598
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Andrey Utkin · gentoo
dev-python/boto3: add new version 1.6.6
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Andrey Utkin · gentoo
dev-python/boto3: add new version 1.5.27
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Matthew Thode · gentoo
dev-python/boto3: keywording arm64 for kombu
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Andrey Utkin · gentoo
dev-python/boto3: don't require specific dev-python/mock version
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Andrey Utkin · gentoo
dev-python/boto3: remove old ebuilds
Removed excessive stable and unstable ebuilds. Package-Manager: Portage-2.3.17, Repoman-2.3.6
Mikle Kolyada · gentoo
dev-python/boto3: amd64 stable wrt bug #641180
Package-Manager: Portage-2.3.13, Repoman-2.3.3
Andrey Utkin · gentoo
dev-python/boto3: add 9999 live ebuild
Package-Manager: Portage-2.3.17, Repoman-2.3.6
Andrey Utkin · gentoo
dev-python/boto3: add live ebuild logic
Preparing to add 9999 boto3 ebuild due to high release frequency of botocore and boto3. Removed upper limit of botocore version requirement to allow -9999. Package-Manager: Portage-2.3.17, Repoman-2.3.6
Andrey Utkin · gentoo
dev-python/boto3: add new 1.5.6 version
botocore version requirement updated per upstream info. Package-Manager: Portage-2.3.17, Repoman-2.3.6
Thomas Deutschmann · gentoo
dev-python/boto3: x86 stable (bug #641180)
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Andrey Utkin · gentoo
dev-python/boto3: define *DEPEND slightly simpler
Don't use extra temporary variable CDEFINE as it's in fact just RDEPEND. Applied just to new ebuild 1.4.8. Suggested-by: Göktürk Yüksek <gokturk@gentoo.org> Package-Manager: Portage-2.3.14, Repoman-2.3.6
Andrey Utkin · gentoo
dev-python/boto3: version bump to 1.4.8
Upstream changed accepted version range of dev-python/botocore. Package-Manager: Portage-2.3.14, Repoman-2.3.6
Andrey Utkin · gentoo
dev-python/boto3: allow recent Sphinx versions
Bump upper boundary of allowed version of Shpinx to 1.7 in new, non-stabilized boto3 ebuilds. Dependency on Sphinx has versions range. Declaration of this range comes from requirements-docs.txt in boto3 sources, but that file hasn't been updated since 2015. Latest Sphinx, version 1.6.5, builds boto3 docs successfully. Sphinx versions range bump has been suggested to boto3 maintainers, but there's nothing preventing newer Sphinx from working on already released versions. Link: https://github.com/boto/boto3/pull/1337 Acked-by: Alex Brandt <alunduil@gentoo.org> Package-Manager: Portage-2.3.12, Repoman-2.3.3
Andrey Utkin · gentoo
dev-python/boto3: add 1.4.7 ebuild
Copied from 1.4.4 ebuild with such changes: * stable keywords downgraded to testing * dev-python/botocore dependency versions range updated to require 1.7.* in accordance with upstream setup.{cfg,py} Acked-by: Alex Brandt <alunduil@gentoo.org> Package-Manager: Portage-2.3.12, Repoman-2.3.3
Andrey Utkin · gentoo
dev-python/boto3: add 1.4.6 ebuild
This version is not the latest one, but it is the only one expecting botocore of version 1.6.*. Copied from 1.4.4 ebuild with such changes: * stable keywords downgraded to testing * dev-python/botocore dependency versions range updated to require 1.6.* in accordance with upstream setup.{cfg,py} Acked-by: Alex Brandt <alunduil@gentoo.org> Package-Manager: Portage-2.3.12, Repoman-2.3.3
Matthew Thode · gentoo
dev-python/boto3: 1.4.4 stablized amd64 x86 under allarches
Sébastien Fabbro · gentoo
dev-python/boto3: added x86 and prefix
Package-Manager: Portage-2.3.6, Repoman-2.3.3
Michał Górny · gentoo
dev-python/boto3: Tested on py3.6
Andrey Utkin · gentoo
dev-python/boto3: 1.4.4: EAPI 5 -> 6
Closes: https://github.com/gentoo/gentoo/pull/4234 Package-Manager: Portage-2.3.4, Repoman-2.3.2
Andrey Utkin · gentoo
dev-python/boto3: add version 1.4.4
Cloned from 1.4.1 with following changes: * updated copyright year * updated required versions of dependencies (dev-python/botocore, dev-python/s3transfer, dev-python/mock) as specified in package sources Package-Manager: Portage-2.3.4, Repoman-2.3.2
Robin H. Johnson · gentoo
Drop $Id$ per council decision in bug #611234.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
T. Malfatti · gentoo
media-libs/portaudio: Version bump
Alex Brandt · gentoo
dev-python/boto3: remove version 1.3.0
Package-Manager: portage-2.3.2
Alex Brandt · gentoo
dev-python/boto3: add version 1.4.1
Package-Manager: portage-2.3.2
Alex Brandt · gentoo
dev-python/boto3: remove version 1.2.3
Package-Manager: portage-2.3.0
Alex Brandt · gentoo
dev-python/boto3: add version 1.4.0
Package-Manager: portage-2.3.0
Alex Brandt · gentoo
dev-python/boto3: remove version 1.2.1
Package-Manager: portage-2.3.0_rc1
Alex Brandt · gentoo
dev-python/boto3: add version 1.3.1
Package-Manager: portage-2.3.0_rc1
Mike Gilbert · gentoo
dev-python/boto3: Add python3.5
Package-Manager: portage-2.2.28_p64
Alex Brandt · gentoo
dev-python/boto3: remove version 1.1.3
Package-Manager: portage-2.2.28
Alex Brandt · gentoo
dev-python/boto3: add version 1.3.0
Package-Manager: portage-2.2.28
Alex Brandt · gentoo
dev-python/boto3: remove version 1.1.2
Package-Manager: portage-2.2.26
Alex Brandt · gentoo
dev-python/boto3: add version 1.2.3
Package-Manager: portage-2.2.26
Justin Lecher · gentoo
dev-python/boto3: Use virtual for module with mixed impl support
Package-Manager: portage-2.2.23 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Alex Brandt · gentoo
dev-python/boto3: drop version 1.1.1
Package-Manager: portage-2.2.23
Alex Brandt · gentoo
dev-python/boto3: add version 1.2.1
Package-Manager: portage-2.2.23
Michał Górny · gentoo
dev-python/boto3: Remove py3.3 from 1.1.3 to match deps
Remove python3.3 support from boto3-1.1.3 since the required >=dev-python/botocore-1.2.0 does not support py3.3 anymore. Fixes: d0e7ce2950992d99 ("dev-python/botocore: remove version 1.2.4")
Alex Brandt · gentoo
dev-python/boto3: add version 1.1.3
Package-Manager: portage-2.2.20.1
Alex Brandt · gentoo
dev-python/boto3: add version 1.1.2
Package-Manager: portage-2.2.20.1
Robin H. Johnson · gentoo
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed